[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.MouseDown

Initiates the splitter movement operation.

## Declaration

Source position: extctrls.pp line 399

`protected procedure TCustomSplitter.MouseDown(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Button examined in the method.
`Shift` |  | Modifier for the mouse button.
`X` |  | Horizontal coordinate for the mouse event.
`Y` |  | Vertical coordinate for the mouse event.

## Description

MouseDown is overridden in TCustomSplitter. It calls the inherited method, and ensures that the absolute mouse position is used when the left mouse button is depressed; The X and Y arguments are not valid during a resize operation.

Calls GetCursorPos to capture the mouse position, and calls StartSplitterMove to initiate the splitter movement operation.

## See also

TControl.MouseDown |  | Handles a mouse down event for the control.